Tasks
All operations require authentication.
List email account tasksProduction
Returns the IDs of the tasks of the email account. Read one with GET /email/pro/{service}/task/{id}.
Path parameters
Service
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ email/ pro/ {service}/ account/ {email}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.
Path parameters
Id
Service
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, id = 0, service = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ email/ pro/ {service}/ account/ {email}/ tasks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List service tasksProduction
Returns the IDs of the tasks of the service. Get one to follow its function, status and dates.
Path parameters
Service
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ email/ pro/ {service}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.
Path parameters
Id
Service
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses id = 0, service = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ email/ pro/ {service}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}